Subject: bug#29736: i686: webkit not usable

From: Leo Famulari <[email-masked]>
Date: Wed, 5 Jan 2022 14:31:27 -0500

On Wed, Jan 05, 2022 at 08:24:25PM +0100, Konrad Hinsen wrote:
> TL;DR: you have to add the packages gst-plugins-good and gst-plugins-bad if
> you want WebKit-based browsers to work in Guix. Otherwise WebKit complains
> about lack of WebVTT handling on many Web sites and just gives up. Adding
> both packages as a propagated input to WebKit should work - but maybe some
> people would not be happy to have gst-plugins-bad as a dependency, and
> prefer to have crashes on some Web sites.

We can use the gst-plugins/selection procedure to avoid propagating all
of gst-plugins-bad.